import UAParser from 'ua-parser-js'

export const uaParser = UAParser()

type DeviceType = 'mobile' | 'tablet' | 'desktop'
export const currentDeviceType: DeviceType = ['mobile', 'tablet'].includes(uaParser.device.model || '') ? uaParser.device.model as DeviceType : 'desktop'
